<%@ page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bPoliza,m05bClasses.*" %>
<%@ include file="/mantenimientosJSP/includes/m05b.inc"%>
<!-- Para poder mostrar los caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if (session.getAttribute("objetoSeguridad") == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
<%
	} 
	String persona = (String) session.getAttribute("persona");
%>	
<%@ include file="/m05bIdioma.inc"%>

<HTML>

<head>
		<%
		String matricula=request.getParameter("Matricula");
		m05bComun miComun = new m05bComun();
		m05bFileLog miLog = new m05bFileLog();		
		m05bCombo miCombo2 = new m05bCombo();
		m05bCombo miCombo3= new m05bCombo();
		      if (matricula==null || matricula.equals("NULL")){
		          matricula="";
		      }
		String codigo;
		codigo = request.getParameter("Codigo");
		String tipo = (request.getParameter("Tipo")==null?"":request.getParameter("Tipo"));
		%>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Fechas.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
			
		<script language="JavaScript">
		function setSelectedValue(selectObj, valueToSet) {
		    for (var i = 0; i < selectObj.options.length; i++) {
		        if (selectObj.options[i].text== valueToSet) {
		            selectObj.options[i].selected = true;
		            return;
		        }
		    }
		}
		     function fncGrabar(codigo,accion,situbd,actual) {
		     	 
		     	var docu;
		        var combovalor="";
                var compania="";
		        var modelo="";
		        var poliza="";
		        var situactual="";
		        var seleccionado="";
		       
		       
		     	docu=parent.document.formPoliza;
    			if(docu.Polizav){
	    			if(existeCaracter(docu.Polizav.value,"\'")||existeCaracter(docu.Polizav.value,'\"')){
			 			alert(dameAlerta(idioma, 1));
			 			docu.Polizav.focus();
			 			return;
			 		}
			 	}
    		    situactual=docu.Estado.options[docu.Estado.selectedIndex].value;
                if(situactual==""){
                	alert(dameAlerta(idioma, 162));
                	return;
                }
                ciaValor=docu.Cia.options[docu.Cia.selectedIndex].value;
                if(ciaValor==""){
                	alert(dameAlerta(idioma, 163));
                	return;
                }
                if (accion=="I"){
		     	    if (docu.Cia.selectedIndex == -1){
		     		    alert(dameAlerta(idioma, 48));}
		     	    else {
   			     	    combovalor=docu.Cia.options[docu.Cia.selectedIndex].text;
		     		    poliza=combovalor.split("..")[0];
		     		    document.formPoliza.PolizaHid.value = poliza;
		     			resto=combovalor.split("..")[1];
      		     		compania=resto.split("___")[0];
	    	     		document.formPoliza.CiaHid.value = compania;
		         		modelo=resto.split("___")[1];
		        		document.formPoliza.ModalHid.value = modelo;
		     		    document.formPoliza.EstadoHid.value = situactual;
    		    	    document.formPoliza.Codigo.disabled=false;
	    	            document.formPoliza.action="m05bGrabarPolizaServlet?Codigo=" + codigo + "&Accion=" + accion +"&Matricula=<%=matricula%>";
		                document.formPoliza.submit();}
                }else { 
	                formatearFecha(document.formPoliza.FSolic);
		            formatearFecha(document.formPoliza.FAlta);
		            formatearFecha(document.formPoliza.FBaja);

                	if (actual=="1"){
                       if ((situactual==situbd)&& (situactual=="S")){
			      	      alert(dameAlerta(idioma, 164));}
		     	       else if ( ( (situactual != situbd) && (situactual=="A")&& (situbd=="S") ) ||
		     	                 ( (situactual == situbd) && (situactual=="A")&& (situbd=="A") ) ||
		     	                 ( (situactual == situbd) && (situactual=="C")&& (situbd=="C") ) ||
		     	                 ( (situactual != situbd) && (situactual=="C")&& (situbd=="A") )      )
		     	              { 
		     	    	      if (docu.Polizav.value == ""){
			      	            alert(dameAlerta(idioma, 165));
			      	            docu.Polizav.focus();
			      	            docu.Polizav.select();}
		     	              else if (docu.Cia.selectedIndex == -1){
		     		               alert(dameAlerta(idioma, 48));}
			      	          else {
		     	                 combovalor=docu.Cia.options[docu.Cia.selectedIndex].text;
		     		             poliza=combovalor.split("..")[0];
		     		             document.formPoliza.PolizaHid.value = poliza;
                                 resto=combovalor.split("..")[1];
                                 compania=resto.split("___")[0];
		     		             document.formPoliza.CiaHid.value = compania;
		     		             modelo=resto.split("___")[1];
		     		             document.formPoliza.ModalHid.value = modelo;
		     		             document.formPoliza.EstadoHid.value = situactual;
		     		             
		    	                 document.formPoliza.Codigo.disabled=false;
		                         document.formPoliza.action="m05bGrabarPolizaServlet?Codigo=" + codigo + "&Accion=" + accion +"&Matricula=<%=matricula%>";
		                         document.formPoliza.submit();}}
		     	       else if (( (situactual != situbd) && (situactual=="S")&& (situbd=="A")) ||
		     	               ( (situactual != situbd) && (situactual=="C")&& (situbd=="S"))) {
                                  alert(dameAlerta(idioma, 126));
                                  docu.Estado.value=situbd;}}
                     else if (actual=="0"){	     	    	          
		     	                 combovalor=docu.Cia.options[docu.Cia.selectedIndex].text;
		     		             poliza=combovalor.split("..")[0];
		     		             document.formPoliza.PolizaHid.value = poliza;
                                 resto=combovalor.split("..")[1];
                                 compania=resto.split("___")[0];
		     		             document.formPoliza.CiaHid.value = compania;
		     		             modelo=resto.split("___")[1];
		     		             document.formPoliza.ModalHid.value = modelo;
		     		             document.formPoliza.EstadoHid.value = situactual;
		     		             
		    	                 document.formPoliza.Codigo.disabled=false;
		                         document.formPoliza.action="m05bGrabarPolizaServlet?Codigo=" + codigo + "&Accion=" + accion +"&Matricula=<%=matricula%>";
		                         document.formPoliza.submit();			      	            
			      	 }}
		}
		</SCRIPT>
		<title><%= resTit.getString("titVehSeguros")%></title>

</head>
<BODY onkeydown="cancelaEnter();"  style="cursor: wait" onLoad="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<script>
	 var urlIdioma;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_DET_GESTION_SEGUROS%>?Matricula=<%=matricula%>&Codigo=<%=codigo%>";
	 var urlCambioVentana;
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_DET_GESTION_SEGUROS%>";	 
</script>			

<%@include file="m05bVehiculosFijo.inc"%>
			
<FORM NAME="formPoliza" METHOD="POST">
		<%
		String sComboCia=""; 
		String codigoMax=""; 
		String importe=""; 
		String descripcioncia="";
		String accion="";
		int cod = 0;
		m05bPoliza poliza = null;
		String sFAlta="";
		String sFBaja="";
		String sFSolic="";
		String sCia="";
		String sModal="";
		String sPoliza="";
		String sPolizaV="";
	    String sEstado="";
		String Actual="";	
	
		
	try {		
		if ( (codigo==null) || (codigo.equals("")) ) {
			codigo= "";
			accion=m05bConstantes.ACC_INSERTAR;
			session.removeAttribute("m05bPoliza");
	  	    m05bGenerarClave miID = new m05bGenerarClave();
			String Auxiliar="to_number(" + m05bConstantes.COL_13_CODIGO + ")";
			cod = miID.getNextId(m05bConstantes.TAB_HIST_SEGUROS, Auxiliar);
			codigo= "" + cod;
		}
		else   {
			accion=m05bConstantes.ACC_ACTUALIZAR;
			poliza = (m05bPoliza)session.getAttribute("m05bPoliza");
		}
		String mensaje = request.getParameter("Mensaje");
		      if (mensaje==null || mensaje.equals("NULL")){
		          mensaje="";
		      }
		
		if (mensaje.equals("true")) {
		    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
		}

		if (poliza == null){
			poliza = new m05bPoliza();
			session.setAttribute("m05bPoliza",poliza);
		}
		//matricula=request.getParameter("Matricula");
		
		sFAlta=poliza.getPol_falta();
		sFBaja=poliza.getPol_fbaja();
		//String sFCaduc=poliza.getPol_fcaduc();
		sFSolic=poliza.getPol_fsolic();
		sCia=poliza.getPol_cia();
		sModal=poliza.getPol_modal();
		sPoliza=poliza.getPol_poliza();
		if (sPoliza==null || sPoliza.equals("") )
		     sPoliza="";
		
		sPolizaV=poliza.getPol_polizav();
		if ((sPolizaV==null) || sPolizaV.equals("") )
		     sPolizaV="";
		
		importe=poliza.getPol_importe();
		if (importe==null || importe.equals("")|| importe.equals("0") )
		     importe="";

		if (sFAlta==null || sFAlta.equals(""))
		    sFAlta="";
		else
		sFAlta=miComun.Mes(sFAlta,campoTexto3);
		if (sFBaja==null || sFBaja.equals(""))
		    sFBaja="";
		else
		sFBaja=miComun.Mes(sFBaja,campoTexto3);
		//if (sFCaduc==null || sFCaduc.equals(""))
		//    sFCaduc="";
		//else
		//sFCaduc=miComun.Mes(sFCaduc);
		if (sFSolic==null || sFSolic.equals(""))
		    sFSolic="";
		else
		sFSolic=miComun.Mes(sFSolic,campoTexto3);

        descripcioncia= sPoliza  + ".  "+ sCia+"___"+sModal;
        
        sql = "select " + m05bConstantes.COL_28_CODSEG  +
		      " from " + m05bConstantes.TAB_DESCRIPCIONES  + " , " + m05bConstantes.TAB_SEGUROS +
              " where	" + m05bConstantes.COL_99_CODTABLA + " = " +m05bConstantes.DESC_MODALIDADES + " AND " + 
              m05bConstantes.COL_99_CODDESC + "(+) = " +m05bConstantes.COL_28_MODAL + " AND " +
              m05bConstantes.COL_28_CIA + " = '" +sCia + "' AND " +
              m05bConstantes.COL_99_CODDESC + "(+) = '" +sModal + "' AND " +
              m05bConstantes.COL_28_POLIZA + " = '" +sPoliza +"'" ;            
     
        conexion = miConexion.getConnection();
        pstmt2 = conexion.prepareStatement(sql);
		rs2 = pstmt2.executeQuery();
		if (rs2.next()){
            sComboCia=rs2.getString(1);}
        else{
        	sComboCia="";}
        if (rs2 != null)
            rs2.close();			
		if (pstmt2 != null)
		    pstmt2.close();
			sql = "select max(to_number(" + m05bConstantes.COL_13_CODIGO + "))" +
			      " from " + m05bConstantes.TAB_HIST_SEGUROS  +
                  " where	" + m05bConstantes.COL_13_MATRICULA + " = '" + matricula + "'" ;
                     pstmt2 = conexion.prepareStatement(sql);
		             rs2 = pstmt2.executeQuery();
		             if (rs2.next()){
                         codigoMax=rs2.getString(1);
                         if (codigoMax.equals(codigo)){
		                    Actual="1";
			                sql = "select " + m05bConstantes.COL_13_ESTADO +
			                      " from " + m05bConstantes.TAB_HIST_SEGUROS  +
                                  " where	" + m05bConstantes.COL_13_CODIGO + " = '" + codigo + "'" ;
                            pstmt2 = conexion.prepareStatement(sql);
		                    rs2 = pstmt2.executeQuery();  
		                    if (rs2.next()){
                                sEstado=rs2.getString(1);}

		                    }
		                    else {Actual="0";}}
            }catch (Exception SQLException){
                         miLog.addTraza(SQLException);
            } finally{
            	miLog.addTraza(persona,"POLIZA JSP","FINALLY",m05bConstantes.LOG_NIVEL_BAJO);
				         if (rs2 != null)
					       rs2.close();			
				         if (pstmt2 != null)
					       pstmt2.close();
				         if (conexion != null)
					        conexion.close();
		                  }%>
		   	<%if (((((!(situacion.equals("B"))) ) 
		   	  	|| (accion.equals(m05bConstantes.ACC_INSERTAR)))) &&  (sExisteMatricula.equals("1"))&&!tipo.equals("VER")&&!sEstado.equals("C")) { %>
		  <TABLE class="buscar" width="100%">
		    <tr>
		      <td width="50%" align="right"> 
		        <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Grabar" ONCLICK="JavaScript:fncGrabar('<%=codigo%>', '<%=accion%>','<%=sEstado%>','<%=Actual%>');return false;" onMouseOver="top.status='Grabar'; return false" onMouseOut="top.status=''; return false" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/grabar.gif"/--> 
		        <input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar('<%=codigo%>', '<%=accion%>','<%=sEstado%>','<%=Actual%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />				      
		      </td>
		   </tr>
		  </TABLE>
		<%}%>
		  <TABLE class="buscar">
		    
		    <tr>
		    <%if (accion==m05bConstantes.ACC_INSERTAR){%>
		      <td align="left" valign="top" align="left" class="inputFieldTitle"><%= res.getString("etEstado")%></td>
		      <td align="left" valign="top" class="inputFieldTitle"><%= res.getString("etCia")%></td>
		    <%}else{%>
		      <td width="10%" valign="top" align="left" class="inputFieldTitle"><%= res.getString("etFAlta")%></td>
		      <td width="10%" valign="top" align="left" class="inputFieldTitle"><%= res.getString("etFBaja")%></td>
		      <!--td width="10%" valign="top" align="left" class="searchTitle">F. Caducidad</td-->
		      <td width="10%" valign="top" align="left" class="inputFieldTitle"><%= res.getString("etFechaSolicitud")%></td>
		      <td width="10%" valign="top" align="left" class="inputFieldTitle"><%= res.getString("etEstado")%></td>
		    <%}%>
		    </tr>
		    <%if (accion==m05bConstantes.ACC_INSERTAR){%>
		    <tr>
              <td align="left">
               	  <select class=inputFieldOblig  NAME="Estado" disabled >
                   	     <option value=""> </option>
                       	     	 <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, m05bConstantes.COL_99_DESCRIPCION, m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_ESTADO_SEGUROS, poliza.getPol_estado() )%>
         		  </select>
			  </td>
   			  <td align="left"><select name="Cia" class="inputFieldOblig" onchange="JavaScript:blur();" onblur=" borrar_buffer();" onKeypress="if ((event.keyCode == 13)|| (event.keyCode == 21)){ blur();} else {buscar_op(this,this);}" onclick="borrar_buffer();">
		                    <option type=submit size="25"></option>
		                    <%=miCombo2.popCompaPolizaModal()%>
		       </select></td>
		    </tr>
		  </TABLE>
	         <script>
	                  parent.document.formPoliza.Estado.value= "S";
	         </script> 	  
		   <%}else{%>
		    <%if (!(situacion.equals("B"))){%>
		   		 
		   	 <tr>
			  <td align="left">
			  	<table width="100%">
			  		<tr>
			  			<td width="38%"> 
			  				<INPUT class="inputField" TYPE="TEXT"  NAME="FAlta" VALUE="<%=sFAlta%>" size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;">
			  			</td>
			  			<%if(!sEstado.equals("C")&&!tipo.equals("VER")){%>
			  			<td>
			  				<a href='#' name='anchorFAlta'  onClick='JavaScript:showCalendar("anchorFAlta","cast",document.all("FAlta"),true,25,10,2002);cambiaPosCal(20,343);return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border="0" src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="c3"/>
			  			</td>
			  			<%}%>
			  		</tr>
			  	</table>		 
			  </td>
			  <td align="left">
			  <table width="100%">
			  		<tr>
			  			<td width="38%"> 
			  				<INPUT class="inputField" TYPE="TEXT"  NAME="FBaja" VALUE="<%=sFBaja%>" size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;">
			  			</td>
			  			<%if(!sEstado.equals("C")&&!tipo.equals("VER")){%>
			  			<td>
			  				<a href='#' name='anchorFBaja'  onClick='JavaScript:showCalendar("anchorFBaja","cast",document.all("FBaja"),true,25,10,2002);false;return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border="0" src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="c3"/>
			  			</td>
			  			<%}%>
			  		</tr>
			  	</table>	
			  </td>
			  <td align="left">
			  <table width="100%">
			  		<tr>
			  			<td width="38%"> 
			  				<INPUT class="inputField" TYPE="TEXT"  NAME="FSolic" VALUE="<%=sFSolic%>" size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;">
			  			</td>
			  			<%if(!sEstado.equals("C")&&!tipo.equals("VER")){%>
			  			<td>
			  				<a href='#' name='anchorFSolic'  onClick='JavaScript:showCalendar("anchorFSolic","cast",document.all("FSolic"),true,25,10,2002);cambiaPosCal(360,343);return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border="0" src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="c3"/>
			  			</td>
			  			<%}%>
			  		</tr>
			  	</table>	
			  </td>
			  			
            <% if (((Actual.equals("1"))&&(sEstado.equals("C"))) ||(Actual.equals("0"))) {%>			 	     	 
			     
              <td align="left">
               	  <select class=inputFieldOblig  NAME="Estado" disabled >
                   	     <option value=""> </option>
                       	     	 <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, m05bConstantes.COL_99_DESCRIPCION, m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_ESTADO_SEGUROS, poliza.getPol_estado() )%>
         		  </select>
			  </td>
		    <%}else{%>
              <td align="left">
               	  <select class=inputFieldOblig  NAME="Estado" onchange="JavaScript:blur();" onblur=" borrar_buffer();" onKeypress="if ((event.keyCode == 13)|| (event.keyCode == 21)){ blur();} else {buscar_op(this,this);}" onclick="borrar_buffer();">
                   	     <option value=""> </option>
                       	     	 <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, m05bConstantes.COL_99_DESCRIPCION, m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_ESTADO_SEGUROS, poliza.getPol_estado() )%>
         		  </select>
			  </td>
			  <%}%>
		    </tr>
			 <%}else{%> 	  
		   	 <tr>
			  <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="FAlta" readonly VALUE="<%=sFAlta%>" size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;"></td>
			  <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="FBaja" readonly VALUE="<%=sFBaja%>" size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;"></td>
			  <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="FSolic" readonly VALUE="<%=sFSolic%>" size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;"></td>
              <td align="left">
               	  <select class=inputFieldOblig disabled  NAME="Estado" >
                   	     <option value=""> </option>
                       	     	 <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, m05bConstantes.COL_99_DESCRIPCION, m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_ESTADO_SEGUROS, poliza.getPol_estado() )%>
         		  </select>
			  </td>
		    </tr>
		    <%}%>	  
		    <tr>
		      <td align="left" valign="top" class="inputFieldTitle"><%= res.getString("etPoliza")%></td>
		      <td align="left" valign="top" class="inputFieldTitle"><%= res.getString("etImporte")%></td>
		      <td align="left" valign="top" class="inputFieldTitle" colspan="2"><%= res.getString("etCia")%></td>
		    </tr>
		    <%if (!(situacion.equals("B"))){%>
		    	
		    <tr>
		      <td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Polizav"  VALUE="<%=sPolizaV%>" size="15" maxlength="15"/></td>
		      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Importe"  VALUE="<%=importe%>" size="10" maxlength="10" onblur="javascript: formatNumeroDecimal(this,6,2); return false;"/></td>
		    	  
   			  <td align="left" colspan="2"><select name="Cia" class="inputFieldOblig" onchange="JavaScript:blur();" onblur=" borrar_buffer();" onKeypress="if ((event.keyCode == 13)|| (event.keyCode == 21)){ blur();} else {buscar_op(this,this);}" onclick="borrar_buffer();">
		                    <option type=submit size="25"></option>
		                    <%=miCombo2.popCompaPolizaModal()%>
		       </select></td>
		    </tr>
           <%}else{%>	
             <tr>
		      <td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" readonly NAME="Polizav"  VALUE="<%=sPolizaV%>" size="15" maxlength="15"/></td>
		      <td align="left"><INPUT class="inputField" TYPE="TEXT" readonly NAME="Importe"  VALUE="<%=importe%>" size="10" maxlength="10" onblur="javascript: formatNumeroDecimal(this,6,2);return false;"/></td>
		    	  
   			  <td align="left" colspan="3"><select name="Cia" class="inputFieldOblig" disabled>
		                    <option type="submit" size="25"></option>
		                    <%=miCombo2.popCompaPolizaModal()%>
		       </select></td>
		    </tr>
           <%}%>
		    </TABLE>
		    	  <% 
		    		 if (sComboCia=="") {%>
		  <script>
                     parent.document.formPoliza.Cia.options[parent.document.formPoliza.Cia.selectedIndex].text="<%=descripcioncia%>" ;
          </script>   
                  <%}%>
		   <%}%>	
		  <script>
                  //parent.document.formPoliza.Cia.value	= "<%=sComboCia%>";
                  setSelectedValue(parent.document.formPoliza.Cia,"<%=sComboCia%>");
          </script>   
<INPUT class="inputField" TYPE="hidden"  NAME="CiaHid" />
<INPUT class="inputField" TYPE="hidden"  NAME="PolizaHid" />
<INPUT class="inputField" TYPE="hidden"  NAME="ModalHid" />
<INPUT class="inputField" TYPE="hidden"  NAME="EstadoHid" />
<INPUT class="inputField" TYPE="hidden"  NAME="Codigo"  VALUE="<%=codigo%>" size="10" maxlength="8"/></td>
<script>
if ('<%=accion%>' == '<%=m05bConstantes.ACC_ACTUALIZAR%>') {
    formatNumeroDecimal(document.formPoliza.Importe,6,2);
	formatearFecha(document.formPoliza.FSolic);
	formatearFecha(document.formPoliza.FAlta);
	formatearFecha(document.formPoliza.FBaja);
	//formatearFecha(document.formPoliza.FCaduc);
}

if (('<%=sEstado%>' == 'C') || ('<%=tipo%>' == 'VER')) {
    document.formPoliza.FAlta.disabled = true;
    document.formPoliza.FBaja.disabled = true;
    document.formPoliza.FSolic.disabled = true;
    document.formPoliza.Estado.disabled = true;
    document.formPoliza.Polizav.disabled = true;
    document.formPoliza.Importe.disabled = true;
    document.formPoliza.Cia.disabled = true;
}

</script>
</FORM>
 </td>
</tr>
<tr>
	<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
</tr>
</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
<SCRIPT>
   var tabSeguros=document.getElementById("tabSeguros");
   tabSeguros.style.backgroundColor="#000078"	;
</SCRIPT>
			
</BODY>
</HTML>